| Earth Observation Mission CFI Software Visibility Software User Manual |

Public Member Functions | Public Attributes

# EECFI::VisibilitySegment Class Reference

Class to store a visibility segment. More...

Inheritance diagram for EECFI::VisibilitySegment:

List of all members.

## Public Member Functions
| VisibilitySegment ()
| Empty Class constructor.
| VisibilitySegment (const VisibilitySegment &segment)
| Copy constructor.
| ~VisibilitySegment ()
| Class destructor.
ZoneExtraInfo | getZoneExtraInfo () throw (CfiError)
| Get extra data for zone visibility segment.
StationExtraInfo | getStationExtraInfo () throw (CfiError)
| Get extra data for station visibility segment.
MultiZonesExtraInfo | getMultiZonesExtraInfo () throw (CfiError)
| Get extra data for multiple zones visibility segment.
MultiStationsExtraInfo | getMultiStationsExtraInfo () throw (CfiError)
| Get extra data for multiple stations visibility segment.
MappingExtraInfo | getMappingExtraInfo () throw (CfiError)
| Get extra data for segments obtained from mapping.
StarExtraInfo | getStarExtraInfo () throw (CfiError)
| Get extra data for star visibility segment.
void | operator= (const VisibilitySegment &visSegment)
| Copy operator.
## Public Attributes
long | type
| See XVTimeTypeEnum.
double | utcTimeStart
| Start UTC time.
double | utcTimeStop
| Stop UTC time.

## Detailed Description

Class to store a visibility segment.

## Constructor & Destructor Documentation

EECFI::VisibilitySegment::VisibilitySegment | ( |  | ) |

Empty Class constructor.

References type, utcTimeStart, and utcTimeStop.

EECFI::VisibilitySegment::VisibilitySegment | ( | const VisibilitySegment & | segment | ) |

Copy constructor.

Parameters:

  | segment | VisibilitySegment to be copied.

References type, utcTimeStart, and utcTimeStop.

EECFI::VisibilitySegment::~VisibilitySegment | ( |  | ) |

Class destructor.

## Member Function Documentation

MappingExtraInfo EECFI::VisibilitySegment::getMappingExtraInfo | ( |  | ) | throw (CfiError)

Get extra data for segments obtained from mapping.

Returns:
  Extra information for mapping visibility.

References EECFI::CfiError::addMsg().

MultiStationsExtraInfo EECFI::VisibilitySegment::getMultiStationsExtraInfo | ( |  | ) | throw (CfiError)

Get extra data for multiple stations visibility segment.

Returns:
  Extra information of multi stations visibility.

References EECFI::CfiError::addMsg().

MultiZonesExtraInfo EECFI::VisibilitySegment::getMultiZonesExtraInfo | ( |  | ) | throw (CfiError)

Get extra data for multiple zones visibility segment.

Returns:
  Extra information of multi zones visibility.

References EECFI::CfiError::addMsg().

StarExtraInfo EECFI::VisibilitySegment::getStarExtraInfo | ( |  | ) | throw (CfiError)

Get extra data for star visibility segment.

Returns:
  Extra information for star visibility.

References EECFI::CfiError::addMsg().

StationExtraInfo EECFI::VisibilitySegment::getStationExtraInfo | ( |  | ) | throw (CfiError)

Get extra data for station visibility segment.

Returns:
  Extra information of station visibility.

References EECFI::CfiError::addMsg().

ZoneExtraInfo EECFI::VisibilitySegment::getZoneExtraInfo | ( |  | ) | throw (CfiError)

Get extra data for zone visibility segment.

Returns:
  Extra information of zone visibility.

References EECFI::CfiError::addMsg().

void EECFI::VisibilitySegment::operator= | ( | const VisibilitySegment & | segment | ) |

Copy operator.

Parameters:

  | segment | VisibilitySegment we want to copy.

References EECFI::TimeSegment::start, EECFI::TimeSegment::stop, and EECFI::CfiClass::throwWarn.

## Member Data Documentation

long EECFI::VisibilitySegment::type

See XVTimeTypeEnum.

Referenced by EECFI::Swath::stationVisTimeCompute(), VisibilitySegment(), and EECFI::Swath::zoneVisTimeCompute().

double EECFI::VisibilitySegment::utcTimeStart

Start UTC time.

Referenced by EECFI::Swath::stationVisTimeCompute(), VisibilitySegment(), and EECFI::Swath::zoneVisTimeCompute().

double EECFI::VisibilitySegment::utcTimeStop

Stop UTC time.

Referenced by EECFI::Swath::stationVisTimeCompute(), VisibilitySegment(), and EECFI::Swath::zoneVisTimeCompute().